"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.startOnrampSDK = exports.onRampSDKNativeEvent = void 0;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-onramp' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const Onramp = _reactNative.NativeModules.OnrampSDK ? _reactNative.NativeModules.OnrampSDK : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
const startOnrampSDK = config => {
  if (!config.appId) {
    throw new TypeError("'appId is missing or null.'");
  }
  return Onramp.startSdk(config);
};
exports.startOnrampSDK = startOnrampSDK;
const onRampSDKNativeEvent = new _reactNative.NativeEventEmitter(_reactNative.NativeModules.OnrampSDK);
exports.onRampSDKNativeEvent = onRampSDKNativeEvent;
//# sourceMappingURL=index.js.map