import { NativeEventEmitter, NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-onramp' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const Onramp = NativeModules.OnrampSDK ? NativeModules.OnrampSDK : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export const startOnrampSDK = config => {
  if (!config.appId) {
    throw new TypeError("'appId is missing or null.'");
  }
  return Onramp.startSdk(config);
};
export const onRampSDKNativeEvent = new NativeEventEmitter(NativeModules.OnrampSDK);
//# sourceMappingURL=index.js.map